x = [-1.024940; -0.949898; -0.866114; -0.773392; -0.671372;
     -0.559524; -0.437067; -0.302909; -0.155493; -0.007464];
y = [-0.389269; -0.322894; -0.265256; -0.216557; -0.177152;
     -0.147582; -0.128618; -0.121353; -0.127348; -0.148885];
 
A = [ y.^2, x.*y, x, y, ones(10,1) ];
[Q,R] = Householder(A);
v = solveQR(Q,R,x.^2);

%%
foo = linspace(-1.03,0,101);
xx  = repmat(foo, 101,  1);
yy  = repmat(foo',  1,101);
f   = xx.*xx - v(1)*yy.*yy - v(2)*xx.*yy - v(3)*xx - v(4)*yy -v(5);
contour(foo,foo,f,[0,0],'k');
hold on
plot(x,y,'r*')
xlabel('x')
ylabel('y')
hold off